<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class movimientoinventario{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar registro
//insertar(              $idusuario,$idalmacensalida,$idalmacenentrada,$nromovimientoinventario,$fecha_hora,$total_salida,$total_entrada,$_POST["idarticulo"],$_POST["cantidad"],$_POST["idarticulo1"],$_POST["cantidad1"],$_POST["factorc"])
public function insertar($idusuario,$idalmacensalida,$idalmacenentrada,$nromovimientoinventario,$fecha_hora,$total_salida,$total_entrada,$idarticulo,$cantidad,$idarticulo1,$cantidad11,$factorc)
{
	$estado = 'Salida';
	$sql="INSERT INTO movimientoinventario (idusuario,idalmacen_salida,idalmacen_entrada,nromovimiento,fecha,cantidads,cantidad,estado) 
	VALUES ('$idusuario','$idalmacensalida','$idalmacenentrada','$nromovimientoinventario','$fecha_hora','$total_salida','$total_entrada','$estado')";
	echo $sql;
	//return ejecutarConsulta($sql);
	
	$sw													=	true;
	$idmovimientoinventarionew	=	ejecutarConsulta_retornarID($sql) or $sw=false;;
	//$idmovimientoinventarionew	=	1;

	$num_elementos	=0;
	$num_pedidos		=0;
	$pedido 				=0;
	$pedidoactual		=0;
	
	while ($num_elementos < count($idarticulo)) {
		/* Buscamos el numero de lote de cada producto */
		$sql_lote 	= "SELECT idlote, idarticulo, numerolote, fecha, cantidad FROM lote WHERE  idarticulo='$idarticulo[$num_elementos]' LIMIT 1";
		echo $sql_lote;
		$result		=	ejecutarConsulta($sql_lote);
		if (mysqli_num_rows($result) > 0) {
			$cantidad1=$cantidad[$num_elementos];
			while($fila = mysqli_fetch_assoc($result)){
				$cantidadi 	= $cantidad1;
				$numerolote = $fila["numerolote"];
				$fecha			= $fila["fecha"];
				$cantidadl	= $fila["cantidad"];
				$cantidad1 	= $cantidad1 - $cantidadl;
				$cantidadle	= $cantidadl*$factorc[$num_elementos];
				$cantidadie	= $cantidadi*$factorc[$num_elementos];

				//`iddetalle_movimientoinventario`,`idmovimientoinventario`,`idalmacen_salida`,`idarticulo`,`cantidad`,`numerolote`,`idalmacen_entrada`,`idarticuloe`,`cantidade`
				if ($cantidad1>0){
					$sql_detalle="INSERT INTO detalle_movimientoinventario (idmovimientoinventario,idalmacen_salida,idarticulo,cantidad,numerolote,idalmacen_entrada,idarticuloe,cantidade) 
					VALUES('$idmovimientoinventarionew','$idalmacensalida','$idarticulo[$num_elementos]','$cantidadl','$numerolote','$idalmacenentrada','$idarticulo1[$num_elementos]','$cantidadle')";
					//echo $sql_detalle;
					ejecutarConsulta($sql_detalle) or $sw=false;
					 if ($sw){
						$sql_articulo 	= "UPDATE articulo SET stock=stock-$cantidadl WHERE idarticulo='$idarticulo[$num_elementos]'";
						$sql_articulo2 	= "UPDATE articulo SET stock=stock+$cantidadle WHERE idarticulo='$idarticulo1[$num_elementos]'";
						$sql_loteu 			= "UPDATE lote SET cantidad=cantidad-$cantidadl WHERE idarticulo='$idarticulo[$num_elementos]' AND numerolote='$numerolote'";
						$sql_loteu2			= "UPDATE lote SET cantidad=cantidad+$cantidadle WHERE idarticulo='$idarticulo1[$num_elementos]'";
						ejecutarConsulta($sql_articulo);
						ejecutarConsulta($sql_loteu);
						ejecutarConsulta($sql_articulo2);
						ejecutarConsulta($sql_loteu2);
					}
					break; 
				}else{
					$sql_detalle="INSERT INTO detalle_movimientoinventario (idmovimientoinventario,idalmacen_salida,idarticulo,cantidad,numerolote,idalmacen_entrada,idarticuloe,cantidade) 
					VALUES('$idmovimientoinventarionew','$idalmacensalida','$idarticulo[$num_elementos]','$cantidadi','$numerolote','$idalmacenentrada','$idarticulo1[$num_elementos]','$cantidadie')";
					//echo $sql_detalle;
					ejecutarConsulta($sql_detalle) or $sw=false;
					 if ($sw){
						$sql_articulo 	= "UPDATE articulo SET stock=stock-$cantidadi WHERE idarticulo='$idarticulo[$num_elementos]'";
						$sql_articulo2 	= "UPDATE articulo SET stock=stock+$cantidadie WHERE idarticulo='$idarticulo1[$num_elementos]'";
						$sql_loteu 			= "UPDATE lote SET cantidad=cantidad-$cantidadi WHERE idarticulo='$idarticulo[$num_elementos]' AND numerolote='$numerolote'";
						$sql_loteu2			= "UPDATE lote SET cantidad=cantidad+$cantidadie WHERE idarticulo='$idarticulo1[$num_elementos]'";
						ejecutarConsulta($sql_articulo);
						ejecutarConsulta($sql_loteu);
						ejecutarConsulta($sql_articulo2);
						ejecutarConsulta($sql_loteu2);
					} 
					break;
				}
			}   
		} else {
			die("Error: No hay datos en la tabla seleccionada");
		}
		$num_elementos=$num_elementos+1;
	 }
	return $sw;
}


public function insertarm($idusuario,$idalmacensalida,$idalmacenentrada,$nromovimientoinventario,$fecha_hora,$total_salida,$total_entrada,$idarticulo,$cantidad,$idarticulo1,$cantidad11,$factorc)
{
	$estado = 'Salida';
	$sql="INSERT INTO movimientoinventario (idusuario,idalmacen_salida,idalmacen_entrada,nromovimiento,fecha,cantidads,cantidad,estado) 
	VALUES ('$idusuario','$idalmacensalida','$idalmacenentrada','$nromovimientoinventario','$fecha_hora','$total_salida','$total_entrada','$estado')";
	echo $sql;
	//return ejecutarConsulta($sql);
	
	$sw													=	true;
	$idmovimientoinventarionew	=	ejecutarConsulta_retornarID($sql) or $sw=false;;
	//$idmovimientoinventarionew	=	1;

	$num_elementos	=0;
	$num_pedidos		=0;
	$pedido 				=0;
	$pedidoactual		=0;
	
	while ($num_elementos < count($idarticulo)) {
		/* Buscamos el numero de lote de cada producto */
		//$sql_lote 	= "SELECT idlote, idarticulo, numerolote, fecha, cantidad FROM lote WHERE idarticulo='$idarticulo[$num_elementos]' AND cantidad>0";
		$sql_lote 	= "SELECT idlote, idarticulo, numerolote, fecha, cantidad FROM lote WHERE  idarticulo='$idarticulo[$num_elementos]' LIMIT 1";
		echo $sql_lote;
		$result		=	ejecutarConsulta($sql_lote);
		if (mysqli_num_rows($result) > 0) {
			$cantidad1=$cantidad[$num_elementos];
			while($fila = mysqli_fetch_assoc($result)){
				$cantidadi 	= $cantidad1;
				$numerolote = $fila["numerolote"];
				$fecha			= $fila["fecha"];
				$cantidadl	= $fila["cantidad"];
				$cantidad1 	= $cantidad1 - $cantidadl;
				$cantidadle	= $cantidadl*$factorc[$num_elementos];
				$cantidadie	= $cantidadi*$factorc[$num_elementos];

				//`iddetalle_movimientoinventario`,`idmovimientoinventario`,`idalmacen_salida`,`idarticulo`,`cantidad`,`numerolote`,`idalmacen_entrada`,`idarticuloe`,`cantidade`
				if ($cantidad1>0){
					$sql_detalle="INSERT INTO detalle_movimientoinventario (idmovimientoinventario,idalmacen_salida,idarticulo,cantidad,numerolote,idalmacen_entrada,idarticuloe,cantidade) 
					VALUES('$idmovimientoinventarionew','$idalmacensalida','$idarticulo[$num_elementos]','$cantidadl','$numerolote','$idalmacenentrada','$idarticulo1[$num_elementos]','$cantidadle')";
					//echo $sql_detalle;
					ejecutarConsulta($sql_detalle) or $sw=false;
					/* if ($sw){
						$sql_articulo 	= "UPDATE articulo SET stock=stock-$cantidadl WHERE idarticulo='$idarticulo[$num_elementos]'";
						$sql_articulo2 	= "UPDATE articulo SET stock=stock+$cantidadle WHERE idarticulo='$idarticulo1[$num_elementos]'";
						$sql_loteu 			= "UPDATE lote SET cantidad=cantidad-$cantidadl WHERE idarticulo='$idarticulo[$num_elementos]' AND numerolote='$numerolote'";
						$sql_loteu2			= "UPDATE lote SET cantidad=cantidad+$cantidadle WHERE idarticulo='$idarticulo1[$num_elementos]'";
						ejecutarConsulta($sql_articulo);
						ejecutarConsulta($sql_loteu);
						ejecutarConsulta($sql_articulo2);
						ejecutarConsulta($sql_loteu2);
					} */
					break; 
				}else{
					$sql_detalle="INSERT INTO detalle_movimientoinventario (idmovimientoinventario,idalmacen_salida,idarticulo,cantidad,numerolote,idalmacen_entrada,idarticuloe,cantidade) 
					VALUES('$idmovimientoinventarionew','$idalmacensalida','$idarticulo[$num_elementos]','$cantidadi','$numerolote','$idalmacenentrada','$idarticulo1[$num_elementos]','$cantidadie')";
					//echo $sql_detalle;
					ejecutarConsulta($sql_detalle) or $sw=false;
					/* if ($sw){
						$sql_articulo 	= "UPDATE articulo SET stock=stock-$cantidadi WHERE idarticulo='$idarticulo[$num_elementos]'";
						$sql_articulo2 	= "UPDATE articulo SET stock=stock+$cantidadie WHERE idarticulo='$idarticulo1[$num_elementos]'";
						$sql_loteu 			= "UPDATE lote SET cantidad=cantidad-$cantidadi WHERE idarticulo='$idarticulo[$num_elementos]' AND numerolote='$numerolote'";
						$sql_loteu2			= "UPDATE lote SET cantidad=cantidad+$cantidadie WHERE idarticulo='$idarticulo1[$num_elementos]'";
						ejecutarConsulta($sql_articulo);
						ejecutarConsulta($sql_loteu);
						ejecutarConsulta($sql_articulo2);
						ejecutarConsulta($sql_loteu2);
					}  */
					break;
				}
			}   
		} else {
			die("Error: No hay datos en la tabla seleccionada");
		}
		$num_elementos=$num_elementos+1;
	 }
	return $sw;
}


public function insertarindividual($idusuario,$idalmacensalida,$idalmacenentrada,$nromovimientoinventario,$fecha_hora,$total_salida,$total_entrada,$idarticulo,$cantidad,$idarticulo1,$cantidad11,$factorc)
{
	$estado = 'Salida';
	$sql="INSERT INTO movimientoinventario (idusuario,idalmacen_salida,idalmacen_entrada,nromovimiento,fecha,cantidads,cantidad,estado) 
	VALUES ('$idusuario','$idalmacensalida','$idalmacenentrada','$nromovimientoinventario','$fecha_hora','$total_salida','$total_entrada','$estado')";
	echo $sql;
		
	$sw													=	true;
	$idmovimientoinventarionew	=	ejecutarConsulta_retornarID($sql) or $sw=false;
	//$idmovimientoinventarionew	=	1;

	$num_elementos	=0;
	$num_pedidos		=0;
	$pedido 				=0;
	$pedidoactual		=0;
	
	echo ' -- Nro de articulos: '.count($idarticulo);
	while ($num_elementos < count($idarticulo)) {
		/* Buscamos el numero de lote de cada producto */
		$sql_lote 	= "SELECT idlote, idarticulo, numerolote, fecha, cantidad FROM lote WHERE idarticulo='$idarticulo[$num_elementos]' AND cantidad>0 LIMIT 1";
		//$sql_lote 	= "SELECT idlote, idarticulo, numerolote, fecha, cantidad FROM lote WHERE  idarticulo='$idarticulo[$num_elementos]' LIMIT 1";
		echo $sql_lote;
		$result		=	ejecutarConsulta($sql_lote);
		if (mysqli_num_rows($result) > 0) {
			$cantidad1=$cantidad[$num_elementos];
			while($fila = mysqli_fetch_assoc($result)){
				$cantidadi 	= $cantidad1;
				$numerolote = $fila["numerolote"];
				$fecha			= $fila["fecha"];
				$cantidadl	= $fila["cantidad"];
				$cantidad1 	= $cantidad1 - $cantidadl;
				$cantidadle	= $cantidadl*$factorc[$num_elementos];
				$cantidadie	= $cantidadi*$factorc[$num_elementos];

				//`iddetalle_movimientoinventario`,`idmovimientoinventario`,`idalmacen_salida`,`idarticulo`,`cantidad`,`numerolote`,`idalmacen_entrada`,`idarticuloe`,`cantidade`
				if ($cantidad1>0){
					$sql_detalle="INSERT INTO detalle_movimientoinventario (idmovimientoinventario,idalmacen_salida,idarticulo,cantidad,numerolote,idalmacen_entrada,idarticuloe,cantidade) 
					VALUES('$idmovimientoinventarionew','$idalmacensalida','$idarticulo[$num_elementos]','$cantidadl','$numerolote','$idalmacenentrada','$idarticulo1[$num_elementos]','$cantidadle')";
					echo $sql_detalle;
					ejecutarConsulta($sql_detalle) or $sw=false;
					 if ($sw){
						$sql_articulo 	= "UPDATE articulo SET stock=stock-$cantidadl WHERE idarticulo='$idarticulo[$num_elementos]'";
						$sql_articulo2 	= "UPDATE articulo SET stock=stock+$cantidadle WHERE idarticulo='$idarticulo1[$num_elementos]'";
						$sql_loteu 			= "UPDATE lote SET cantidad=cantidad-$cantidadl WHERE idarticulo='$idarticulo[$num_elementos]' AND numerolote='$numerolote'";
						$sql_loteu2			= "UPDATE lote SET cantidad=cantidad+$cantidadle WHERE idarticulo='$idarticulo1[$num_elementos]'";
						ejecutarConsulta($sql_articulo);
						ejecutarConsulta($sql_loteu);
						ejecutarConsulta($sql_articulo2);
						ejecutarConsulta($sql_loteu2);
					} 
					break; 
				}else{
					$sql_detalle="INSERT INTO detalle_movimientoinventario (idmovimientoinventario,idalmacen_salida,idarticulo,cantidad,numerolote,idalmacen_entrada,idarticuloe,cantidade) 
					VALUES('$idmovimientoinventarionew','$idalmacensalida','$idarticulo[$num_elementos]','$cantidadi','$numerolote','$idalmacenentrada','$idarticulo1[$num_elementos]','$cantidadie')";
					echo $sql_detalle;
					ejecutarConsulta($sql_detalle) or $sw=false;
					 if ($sw){
						$sql_articulo 	= "UPDATE articulo SET stock=stock-$cantidadi WHERE idarticulo='$idarticulo[$num_elementos]'";
						$sql_articulo2 	= "UPDATE articulo SET stock=stock+$cantidadie WHERE idarticulo='$idarticulo1[$num_elementos]'";
						$sql_loteu 			= "UPDATE lote SET cantidad=cantidad-$cantidadi WHERE idarticulo='$idarticulo[$num_elementos]' AND numerolote='$numerolote'";
						$sql_loteu2			= "UPDATE lote SET cantidad=cantidad+$cantidadie WHERE idarticulo='$idarticulo1[$num_elementos]'";
						ejecutarConsulta($sql_articulo);
						ejecutarConsulta($sql_loteu);
						ejecutarConsulta($sql_articulo2);
						ejecutarConsulta($sql_loteu2);
					} 
					break;
				}
			}   
		} else {
			die("Error: No hay datos en la tabla seleccionada");
		}
		$num_elementos=$num_elementos+1;
	}
	return $sw;
}

public function anular($idmovimientoinventario){
	$sql="UPDATE movimientoinventario SET estado='Anulado' WHERE idmovimientoinventario='$idmovimientoinventario'";
	return ejecutarConsulta($sql);
}

public function eliminararticulodecafeteriabd($iddetallec,$idpedidoc,$idarticuloc){
	$sql="DELETE FROM detalle_barra WHERE iddetalle_pedido='$iddetallec' AND idpedido='$idpedidoc' AND idarticulo='$idarticuloc'";
	return ejecutarConsulta($sql);
}


//implementar un metodopara mostrar los datos de unregistro a modificar
public function mostrar($idmovimientoinventario){
	$sql="SELECT v.idmovimientoinventario,v.idalmacen_salida,a1.nombre as almacensalida,v.idalmacen_entrada,a2.nombre as almacenentrada,DATE(v.fecha) as fecha,u.idusuario,u.nombre as usuario, v.cantidad,v.nromovimiento,v.estado FROM movimientoinventario v INNER JOIN almacen a1 ON v.idalmacen_salida=a1.idalmacen INNER JOIN almacen a2 ON v.idalmacen_entrada=a2.idalmacen INNER JOIN usuario u ON v.idusuario=u.idusuario WHERE idmovimientoinventario='$idmovimientoinventario'";
	return ejecutarConsultaSimpleFila($sql);
}

public function listarDetalle($idmovimientoinventario){
	$sql="SELECT dm.idarticulo,a.nombre,dm.cantidad, a.stock, 'ok' as estado FROM detalle_movimientoinventario dm INNER JOIN articulo a ON dm.idarticulo=a.idarticulo WHERE dm.idmovimientoinventario='$idmovimientoinventario'";
	return ejecutarConsulta($sql);
}

//listar registros
public function listar(){
	$sql="SELECT m.idmovimientoinventario,date_format(DATE(m.fecha), '%d-%m-%Y') as fecha,u.idusuario,u.nombre as usuario, m.idalmacen_entrada, a.nombre as entrada, m.idalmacen_salida, a1.nombre as salida, m.cantidad,m.nromovimiento, m.estado FROM movimientoinventario m INNER JOIN almacen a ON m.idalmacen_entrada = a.idalmacen INNER JOIN almacen a1 ON m.idalmacen_salida = a1.idalmacen INNER JOIN usuario u ON m.idusuario=u.idusuario ORDER BY m.idmovimientoinventario DESC";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function buscarNroMovimiento(){
	$sql=	"SELECT COUNT(idmovimientoinventario) as ultimomovimiento FROM movimientoinventario ";
	return ejecutarConsultaSimpleFila($sql);
}


public function movimientocabecera($idmovimientoinventario){
	$sql= "SELECT m.idmovimientoinventario,m.idalmacen_entrada,a1.nombre AS almacenentrada,a1.descripcion as direccionentrada,m.idalmacen_salida,a.nombre AS almacensalida,a.descripcion AS direccionsalida,m.nromovimiento,m.fecha FROM movimientoinventario m LEFT JOIN almacen a ON a.idalmacen=m.idalmacen_salida LEFT JOIN almacen a1 ON a1.idalmacen=m.idalmacen_entrada WHERE m.idmovimientoinventario='$idmovimientoinventario'";
	return ejecutarConsulta($sql);
}

public function movimientodetalles($idmovimientoinventario){
	$sql="SELECT d.idarticulo,d.cantidade as cantidad,a.nombre FROM detalle_movimientoinventario d LEFT JOIN articulo a ON a.idarticulo=d.idarticulo WHERE d.idmovimientoinventario='$idmovimientoinventario'";
  return ejecutarConsulta($sql);
}

//Factory

public function insertarf($idusuario,$idalmacensalida,$idalmacenentrada,$nromovimientoinventario,$fecha_hora,$total_salida,$total_entrada,
$idarticulo,$cantidad,$idarticulo1,$cantidad11,$factorc,$numerolote,$idlote)
{
	$estado = 'Salida';
	$sql="INSERT INTO movimientoinventariofactory (idusuario,idalmacen_salida,idalmacen_entrada,nromovimiento,fecha,cantidads,cantidad,estado) 
	VALUES ('$idusuario','$idalmacensalida','$idalmacenentrada','$nromovimientoinventario','$fecha_hora','$total_salida','$total_entrada','$estado')";
	echo $sql;
		
	$sw													=	true;
	$idmovimientoinventarionew	=	ejecutarConsulta_retornarID($sql) or $sw=false;
	//$idmovimientoinventarionew	=	1;

	$num_elementos	=0;
	$num_pedidos		=0;
	$pedido 				=0;
	$pedidoactual		=0;
	
	echo ' -- Nro de articulos: '.count($idarticulo);
	

	while ($num_elementos < count($idarticulo)) {
		// Buscamos el numero de lote de cada producto 
		$sql_lote 	= "SELECT idlote, idarticulo, numerolote, fecha, cantidad FROM lote WHERE idarticulo='$idarticulo[$num_elementos]' AND idlote='$idlote[$num_elementos]' AND cantidad>0 LIMIT 1";
		//$sql_lote 	= "SELECT idlote, idarticulo, numerolote, fecha, cantidad FROM lote WHERE  idarticulo='$idarticulo[$num_elementos]' LIMIT 1";
		echo $sql_lote;
		$result		=	ejecutarConsulta($sql_lote);
		if (mysqli_num_rows($result) > 0) {
			$cantidad1=$cantidad[$num_elementos];
			while($fila = mysqli_fetch_assoc($result)){
				$cantidadi 	= $cantidad1;
				$numerolote = $fila["numerolote"];
				$idlote 		= $fila["idlote"];
				$fecha			= $fila["fecha"];
				$cantidadl	= $fila["cantidad"];
				$cantidad1 	= $cantidad1 - $cantidadl;
				$cantidadle	= $cantidadl/$factorc[$num_elementos];
				$cantidadie	= $cantidadi/$factorc[$num_elementos];

				//`iddetalle_movimientoinventario`,`idmovimientoinventario`,`idalmacen_salida`,`idarticulo`,`cantidad`,`numerolote`,`idalmacen_entrada`,`idarticuloe`,`cantidade`
				if ($cantidad1>0){
					$sql_detalle="INSERT INTO detalle_movimientoinventariofactory (idmovimientoinventario,idalmacen_salida,idarticulo,cantidad,numerolote,idalmacen_entrada,idarticuloe,cantidade,idlote,fecha) 
					VALUES('$idmovimientoinventarionew','$idalmacensalida','$idarticulo[$num_elementos]','$cantidadl','$numerolote','$idalmacenentrada','$idarticulo1[$num_elementos]','$cantidadle','$idlote','$fecha')";
					echo $sql_detalle;
					ejecutarConsulta($sql_detalle) or $sw=false;
					/*
					 if ($sw){
						$sql_articulo 	= "UPDATE articulo SET stock=stock-$cantidadl WHERE idarticulo='$idarticulo[$num_elementos]'";
						$sql_articulo2 	= "UPDATE articulo SET stock=stock+$cantidadle WHERE idarticulo='$idarticulo1[$num_elementos]'";
						$sql_loteu 			= "UPDATE lote SET cantidad=cantidad-$cantidadl WHERE idarticulo='$idarticulo[$num_elementos]' AND numerolote='$numerolote'";
						$sql_loteu2			= "UPDATE lote SET cantidad=cantidad+$cantidadle WHERE idarticulo='$idarticulo1[$num_elementos]'";
						ejecutarConsulta($sql_articulo);
						ejecutarConsulta($sql_loteu);
						ejecutarConsulta($sql_articulo2);
						//ejecutarConsulta($sql_loteu2);
					}
						*/ 
					break; 
				}else{
					$sql_detalle="INSERT INTO detalle_movimientoinventariofactory (idmovimientoinventario,idalmacen_salida,idarticulo,cantidad,numerolote,idalmacen_entrada,idarticuloe,cantidade,idlote,fecha) 
					VALUES('$idmovimientoinventarionew','$idalmacensalida','$idarticulo[$num_elementos]','$cantidadi','$numerolote','$idalmacenentrada','$idarticulo1[$num_elementos]','$cantidadie','$idlote','$fecha')";
					echo $sql_detalle;
					ejecutarConsulta($sql_detalle) or $sw=false;
					/*
					if ($sw){
						$sql_articulo 	= "UPDATE articulo SET stock=stock-$cantidadi WHERE idarticulo='$idarticulo[$num_elementos]'";
						$sql_articulo2 	= "UPDATE articulo SET stock=stock+$cantidadie WHERE idarticulo='$idarticulo1[$num_elementos]'";
						$sql_loteu 			= "UPDATE lote SET cantidad=cantidad-$cantidadi WHERE idarticulo='$idarticulo[$num_elementos]' AND numerolote='$numerolote'";
						$sql_loteu2			= "UPDATE lote SET cantidad=cantidad+$cantidadie WHERE idarticulo='$idarticulo1[$num_elementos]'";
						ejecutarConsulta($sql_articulo);
						ejecutarConsulta($sql_loteu);
						ejecutarConsulta($sql_articulo2);
						//ejecutarConsulta($sql_loteu2);
					} 
						*/
					break;
				}
			}   
		} else {
			die("Error: No hay datos en la tabla seleccionada");
		}
		$num_elementos=$num_elementos+1;
	}

	

	return $sw;
}

public function buscarNroMovimientofactory(){
	$sql=	"SELECT COUNT(idmovimientoinventario) as ultimomovimiento FROM movimientoinventariofactory";
	return ejecutarConsultaSimpleFila($sql);
}

public function listarfactory(){
	$sql="SELECT m.idmovimientoinventario,date_format(DATE(m.fecha), '%d-%m-%Y') as fecha,u.idusuario,u.nombre as usuario, m.idalmacen_entrada, a.nombre as entrada, m.idalmacen_salida, a1.nombre as salida, d.cantidads,d.cantidade,m.nromovimiento, m.estado 
			FROM movimientoinventariofactory m 
			INNER JOIN (SELECT idmovimientoinventario,SUM(cantidad) AS cantidads,SUM(cantidade) AS cantidade FROM detalle_movimientoinventariofactory GROUP BY idmovimientoinventario) d ON d.idmovimientoinventario=m.idmovimientoinventario INNER JOIN almacen a ON m.idalmacen_entrada = a.idalmacen 
			INNER JOIN almacen a1 ON m.idalmacen_salida = a1.idalmacen 
			INNER JOIN usuario u ON m.idusuario=u.idusuario 
			ORDER BY m.idmovimientoinventario DESC";
	return ejecutarConsulta($sql);
}

public function movimientocabecerafactory($idmovimientoinventario){
	$sql= "SELECT m.idmovimientoinventario,m.idalmacen_entrada,a1.nombre AS almacenentrada,a1.descripcion as direccionentrada,m.idalmacen_salida,a.nombre AS almacensalida,a.descripcion AS direccionsalida,m.nromovimiento,m.fecha,m.cantidad AS cantidadentrada,m.cantidads as cantidadsalida FROM movimientoinventariofactory m LEFT JOIN almacen a ON a.idalmacen=m.idalmacen_salida LEFT JOIN almacen a1 ON a1.idalmacen=m.idalmacen_entrada 
	WHERE m.idmovimientoinventario='$idmovimientoinventario'";
	return ejecutarConsulta($sql);
}

public function movimientodetallesfactory($idmovimientoinventario){
	$sql="SELECT d.idarticulo,d.cantidade as cantidad,d.cantidad as cantidads,a.nombre,a2.nombre as nombresalidad,f.factorconversion,f2.factorconversion AS factorconversionsalidad,d.numerolote 
			FROM detalle_movimientoinventariofactory d 
			LEFT JOIN articulo a ON a.idarticulo=d.idarticulo 
			LEFT JOIN articulo a2 ON a2.idarticulo=d.idarticuloe 
			LEFT JOIN factorunidademedidad f ON f.idfactorunidademedidad=a.idfactorunidademedidad 
			LEFT JOIN factorunidademedidad f2 ON f2.idfactorunidademedidad=a2.idfactorunidademedidad 
			WHERE d.idmovimientoinventario='$idmovimientoinventario'";
  return ejecutarConsulta($sql);
}


}

 ?>
